Table of Contents

Class: bond | ../bkchem/oasa/oasa/bond.py
--- | ---
is based on edge, however the vertices are not a Set anymore, we need to preserve the order (for instance for wedge bonds). type is 'n'-normal, 'w'-wedge, 'h'-hatch, 'a'-adder, 'b'-bold, 'd'-dash
Base Classes |
--- | ---
graph.edge object
Methods |
--- | ---
__init__ __str__ get_length get_order get_vertices matches set_order set_vertices
| __init__
    __init__ (
            self,
            vs=[],
            order=1,
            type='n',
            )
| __str__
    __str__ ( self )
| get_length
    get_length ( self )
| get_order
    get_order ( self )
| get_vertices
    get_vertices ( self )
| matches
    matches ( self,  other )
| set_order
    set_order ( self,  order )
| set_vertices
    set_vertices ( self,  vs=[] )
sets the vertices this edge connects

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1